File: control

package info (click to toggle)
el-api 3.0.0-3
  • links: PTS, VCS
  • area: main
  • in suites: bookworm, bullseye, sid
  • size: 528 kB
  • sloc: java: 2,320; xml: 222; makefile: 7
file content (32 lines) | stat: -rw-r--r-- 1,237 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
Source: el-api
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Emmanuel Bourg <ebourg@apache.org>
Build-Depends:
 debhelper-compat (= 12),
 default-jdk,
 libmaven-bundle-plugin-java (>= 3.5.1),
 maven-debian-helper (>= 2.1)
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/java-team/el-api.git
Vcs-Browser: https://salsa.debian.org/java-team/el-api
Homepage: https://github.com/javaee/el-spec/

Package: libel-api-java
Architecture: all
Depends: ${maven:Depends}, ${misc:Depends}
Suggests: ${maven:OptionalDepends}
Breaks: libservlet3.1-java (<< 9), libservlet2.5-java
Replaces: libservlet3.1-java (<< 9), libservlet2.5-java
Description: Expression Language API
 EL is a simple language designed to meet the needs of the presentation
 layer in Java web applications.
 .
 It features:
  * A simple syntax restricted to the evaluation of expressions
  * Variables and nested properties
  * Relational, logical, arithmetic, conditional, and empty operators
  * Functions implemented as static methods on Java classes
  * Lenient semantics where appropriate default values and type conversions
    are provided to minimize exposing errors to end users